<template>
  <Teleport to="body">
    <div
      id="storeToastBody"
      class="bottom-0 end-0 toast-container position-fixed"
    >
      <b-toast
        id="storeToast"
        v-model="storeToastVisible"
        :title="$t('coscine.storeToastTitle')"
        auto-hide-delay="5000"
      >
        {{ $t("coscine.storeToastDescription") }}
      </b-toast>
    </div>
  </Teleport>
</template>

<script lang="ts" setup>
const storeToastVisible = defineModel<boolean>("visible", { required: true });
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
